package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class Listing25_33 extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(300, 300);
            GraphicsContext gc = cv.getGraphicsContext2D();
            //-
            gc.beginPath();
            gc.moveTo(20,20);
            gc.lineTo(200,20);
            gc.arcTo(200,60, 130, 100, 20);
            gc.lineTo(20,40);
            gc.stroke();
            //-
            gc.beginPath();
            gc.setFill(Color.BLUE);
            gc.rect(18,18, 4,4);
            gc.rect(198, 18,4,4);
            gc.fill();
            //-
            gc.beginPath();
            gc.setFill(Color.RED);
            gc.rect(198, 58,4,4);
            gc.rect(128,98,4,4);
            gc.fill();
            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Metoda arcTo");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
